commit:     846165e59b9111ba0d549c4c052b162564afc87f
Author:     Zamarin Arthur <arthurzam <AT> gmail <DOT> com>
AuthorDate: Mon Jun  3 12:28:00 2019 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sun Jul 28 15:25:45 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=846165e5

dev-python/openpyxl: bump v2.6.2, add Python 3.7 support

Closes: https://bugs.gentoo.org/647948
Package-Manager: Portage-2.3.67, Repoman-2.3.13
Signed-off-by: Zamarin Arthur <arthurzam <AT> gmail.com>
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/openpyxl/Manifest              |  1 +
 dev-python/openpyxl/openpyxl-2.6.2.ebuild | 36 +++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/openpyxl/Manifest b/dev-python/openpyxl/Manifest
index 56e4d568de6..42c3b2bd621 100644
--- a/dev-python/openpyxl/Manifest
+++ b/dev-python/openpyxl/Manifest
@@ -1,2 +1,3 @@
 DIST openpyxl-2.4.11.tar.bz2 2139621 BLAKE2B 
44fe7e471b50deabdea10e677e3b30f2eee62c661203517321e32442639e884c93ff3c4b6e7a0e5c5186bc8320c53d912832d955882b8cdb29c81d8319077c7c
 SHA512 
9d1f9a3cadefec42bd7b6301bc3a37045e59e567a9f74eed3467547e81f060cf1c0ce2fc7f517911cd7f5716a42135a8567a0e0edc42eae0cc0c7a2370b320ae
 DIST openpyxl-2.6.1.tar.bz2 2403827 BLAKE2B 
26abdea047b4d283f3d0e3ed499c1d7247d07b7a97426fd681d92798c7c49cc13fd53296e214d2c48e8461a80740a5ae600468bcf41c9cfd5b6f0b244ef3df93
 SHA512 
cf869b20ae8aeb068139eaddc8c915ba15405d531bc1a6e2b7c8068bad0ca628622c852cc1d4e11dfd8fab0078a9931fc33e5e47bda954b7cc994f60d79753fc
+DIST openpyxl-2.6.2.tar.bz2 2404387 BLAKE2B 
ce63ed51bc2f475fc12f510307e3cd417321588aa1a9adb5f8b780249898747babf211137d21442eceaff01bcfb4f7b8f3092b3dc64f751aa2b26d404d11fb74
 SHA512 
e037abd13e050e25146b016c578bb50c008b7c74a19702d9bae14b594ad5f30d352f8443fd5021a169991a96f5d19b84a3acceb9b05a713e8526ad478fffd31f

diff --git a/dev-python/openpyxl/openpyxl-2.6.2.ebuild 
b/dev-python/openpyxl/openpyxl-2.6.2.ebuild
new file mode 100644
index 00000000000..5605f80fac2
--- /dev/null
+++ b/dev-python/openpyxl/openpyxl-2.6.2.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Pure python reader and writer of Excel OpenXML files"
+HOMEPAGE="https://openpyxl.readthedocs.io/en/stable/";
+# Upstream doesn't want to include tests in PyPI tarballs
+# 
https://bitbucket.org/openpyxl/openpyxl/issues/1308/include-tests-in-pypi-tarballs
+SRC_URI="https://bitbucket.org/${PN}/${PN}/get/${PV}.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/jdcal[${PYTHON_USEDEP}]
+       dev-python/et_xmlfile[${PYTHON_USEDEP}]
+"
+DEPEND="
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/lxml[${PYTHON_USEDEP}]
+               dev-python/pillow[${PYTHON_USEDEP},tiff,jpeg]
+       )"
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       pytest -vv || die "Testing failed with ${EPYTHON}"
+}

Reply via email to